Package org.eclipse.e4.ui.workbench

# Interface UIEvents.Perspective

Enclosing class:
  `UIEvents`

public static interface UIEvents.Perspective

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_TRIMBARS`
`static final String`
`TOPIC_WINDOWS`
`static final String`
`WINDOWS`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_WINDOWS

static final String TOPIC_WINDOWS

See Also:
  - Constant Field Values

### TOPIC_TRIMBARS

static final String TOPIC_TRIMBARS

Since:
  1.5
See Also:
  - Constant Field Values

### WINDOWS

static final String WINDOWS

See Also:
  - Constant Field Values